
QGIS Application - Bug report #15798

Shapefile layer not editable after clearing Query Builder

2016-11-02 05:52 AM - Steve Lowman

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.8 Regression?: No

Operating System: W10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23718

Description

In a shapefile layer, I apply a Query Builder expression. Later, I clear the Query Builder, so I can make an edit. However, the 'Toggle

Editing' button is still greyed out, and the Layer Source has the full path but with ".shp|layerid=0" at the end of it. I can work around this by

saving, closing, and re-opening my .qgs file. Then, the layer is back to normal and I can edit it.

History

#1 - 2016-11-02 07:04 AM - Steve Lowman

Should have said, "..., so I can make an edit to a filtered-out feature."

#2 - 2016-11-02 07:27 AM - Steve Lowman

I notice that if I change the filtered attribute value in the Query Builder, then I can edit the features thus made visible.

#3 - 2016-11-02 10:13 AM - Steve Lowman

I tried changing the filter expression to <field> LIKE '%' as an alternative to clearing the Query Builder, and that was a good work around. However, then I

cleared it, and the layer was still editable. Therefore, I cannot reliably reproduce the issue, because I do not know what exactly triggers it. However, my

colleague has also experienced the issue.

#4 - 2016-11-17 02:15 AM - Steve Lowman

The following may be consistent and repeatable.

Apply a query builder expression to a shapefile layer.

Save and close the file.

Re-open the file. (The layer cannot be edited)

Clear the query. (The layer still cannot be edited)

#5 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
#7 - 2018-01-15 10:59 AM - Jakob Lanstorp

I can confirm this problem still exists in QGIS 2.18.15. For now one way to fix the problem is using the changeDatasource plugin - where the '|layerid=0'

text can be removed from shapefile layer source - enabling editing of the layer again.

#8 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
